%global eclipse_ver 4.23
%global bundle_ver 3.29.0
%global jar_ver %{eclipse_ver}
%global drop R-%{jar_ver}-202203080310

Summary:       Eclipse Compiler for Java
Name:          ecj
Version:       %{eclipse_ver}
Release:       5%{?dist}
License:       EPL-2.0
URL:           https://www.eclipse.org
Source0:       https://download.eclipse.org/eclipse/downloads/drops4/%{drop}/ecjsrc-%{jar_ver}.jar
Source1:       https://repo1.maven.org/maven2/org/eclipse/jdt/ecj/%{bundle_ver}/ecj-%{bundle_ver}.pom
# https://download.eclipse.org/eclipse/downloads/drops4/%%{drop}/ecj-%%{jar_ver}.jar
Source2:       MANIFEST.MF

Patch3000:     0001-Always-generate-bytecode-debuginfo.patch

BuildRequires: ant javapackages-local java-11-openjdk-devel

BuildArch:     noarch
ExclusiveArch: %{java_arches} noarch


%description
ECJ is the Java bytecode compiler of the Eclipse Platform.
It is also known as the JDT Core batch compiler.


%prep
%autosetup -c -n %{name}-%{eclipse_ver} -p1

sed -i -e '/compilerarg/s/Xlint:none/Xlint:none -encoding cp1252/' build.xml
cp %{SOURCE1} pom.xml
mkdir -p scripts/binary/META-INF/
cp %{SOURCE2} scripts/binary/META-INF/MANIFEST.MF

%mvn_alias org.eclipse.jdt:ecj org.eclipse.jdt:core org.eclipse.jdt.core.compiler:ecj \
  org.eclipse.tycho:org.eclipse.jdt.core org.eclipse.tycho:org.eclipse.jdt.compiler.apt


%build
export JAVA_HOME=/usr/lib/jvm/java-11
ant


%install
%mvn_artifact pom.xml ecj.jar
%mvn_install

%jpackage_script org.eclipse.jdt.internal.compiler.batch.Main '' '' ecj ecj true

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 -p ecj.1 %{buildroot}%{_mandir}/man1/ecj.1


%files -f .mfiles
%license about.html
%{_bindir}/ecj
%{_mandir}/man1/ecj*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.23-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 4.23-1
- initial build
